Get Bot Definition
curl --request GET \
--url https://public-api.frictio.ai/v1/bot-definition \
--header 'X-Api-Key: <api-key>' \
--header 'X-Workspace-Id: <x-workspace-id>'import requests
url = "https://public-api.frictio.ai/v1/bot-definition"
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', 'X-Api-Key': '<api-key>'}
};
fetch('https://public-api.frictio.ai/v1/bot-definition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "Frictio Bot",
"transcription_hints": [
{
"hint": "Frictio",
"intensity": 0.3,
"language": "ja",
"pronunciations": [
"フリクシオ"
],
"replacements": [
"<string>"
]
}
],
"message_on_join": {
"active": true,
"frequency": "ON_BOT_JOIN",
"message": "応対品質向上を目的として本ミーティングの録画・文字起こしをしております。気になる場合は当社ミーティング担当者にお申し付けください。"
}
}
}API Reference
Get Bot Definition
ワークスペースのAI Bot設定(名前・文字起こし辞書・入室メッセージ)を取得します。 読み取り専用です。 未設定のワークスペースでは 404 を返します。 APIキーが代表するワークスペースの設定のみ取得でき、他ワークスペースには越境できません。 本エンドポイントは query parameter を受け付けません。指定した場合は 400 を返します。
GET
/
v1
/
bot-definition
Get Bot Definition
